--- 
riterate: 
  do_not_update: true
  ordered_slides: 
  - Active Object Pattern in Ruby
  - Objective
  - Design Pattern
  - Ruby Pattern for Asynchronous Results
  - Implementation
  - ActiveObject module
  - Facade
  - Passive Facade
  - Delegate message directly
  - Passive Thread Management
  - Facade Mixin
  - Facade Interface
  - Example
  - class A
  - class B
  - Base class for example objects
  - Example with Passive Facade
  - Example with Active Facade
  - Active Facade
  - Intercept Message
  - Message
  - Message Initialization
  - Message Invocation
  - Active Facade Initialization
  - Message Queuing
  - Active Facade Support
  - Start worker Thread
  - Stop worker Thread
  - Example with Active Distributor
  - Distributor
  - Distributor Initialization
  - Intercept and Distribute Messages
  - Add Multiple Facades
  - Conclusion
  - Logging
  unknown_slides: []
  unordered_slides: []
  version: "1.0"
